收藏本站 收藏本站
积木网首页 - 软件测试 - 常用手册 - 站长工具 - 技术社区
软件测试 > Rational > 正文

首页 | 领域细分: 游戏测试 安全测试 手机测试 Web测试 | 技术研究: 单元测试 入门教程 用例设计 性能测试 功能测试 | 测试职场: 面试精选 职场发展 面试试题

测试管理: 配置及流程 - 需求管理 - 质量验收 - 缺陷管理 - 其它管理相关 | 开发语言: PHP技巧 - PHP基础 - PHP实例 - PHP错误代码

测试工具: LoadRunner JiRa QuickTestPro RoBot WinRunner TestDirector 其它测试工具 | 数据库: Mysql数据库 Oracle数据库 CSS/DIV基础 HTML基础

关于RFT测试对象检查器与JDK 6不兼容的问题

来源:互联网 日期:2012-10-02 16:30

  一、问题

  我所使用的RFT是v7.0.1.2版本,一切正常。但是当我把JDK从1.4.2更新成1.6以后,测试对象检查器就出现了问题。具体表现是,当对象检查器悬浮在IE界面上时,无论用鼠标点击那里,都无法识别出IE的任何属性。而对于RFT自带的演示程序,对象检查器可以正确的识别。

  二、分析

  对比问题出现前后的工作环境,我将问题定位在了JDK上。IE使用默认的java插件,其版本与机器上所安装的JDK版本一致。可能RFT的对象检查器在识别IE时,与IE的JAVA插件有依赖关系。RFT中的JDK是1.5版本,而我的JDK是1.6,这样有可能出现不兼容的情况(仅为个人推测)。恰巧这时部门里一个漂亮的女同事也将JDK升级为1.6,在她的机器上,也出现了测试对象检查器不能识别IE对象的问题。

  三、解决

  问题定位后就开始着手解决,首先我修改环境变量,将jdk1.6全部替换成1.4.2,重启机器,问题依旧;

  在IE的(工具——选项——程序——管理加载项)中,禁用JDK1.6插件,重启IE,问题依旧;

  同样在IE的(工具——选项——程序——管理加载项)中,点击JDK1.4.2,点击更新activeX插件,更新失败,放弃;

  在控制面板中,卸载jdk16和1.4.2,清除系统变量中所有关于JAVA的配置,然后重新安装JDK1.4.2并配置JAVA环境变量,问题依旧;

  在我的RFT中我曾经装过VSS插件,于是将VSS插件禁用,重启RFT,问题依旧,再重启机器,问题依旧;

  实在无奈,抱着机箱大喊:”我爱你“,问题依旧。

  重装RFT,并升级为7.0.1.2,问题解决

  四、花絮

  今天早上,漂亮的女同事给我发消息,说这个问题不用重装也可以解决,方法是在RFT的“窗口—首选项”中,点击JAVA—已安装的JRE,将JDK1.6添加进来;然后在ECLPSE配置—启用环境进行测试“中,点击JAVA页签,将JDK1.6添加进来,最后将原来缺省的禁用。然后重启RFT就OK了,前后不用五分钟的时间。想想一开始的时候我那么胡乱折腾,真是好笑。到底还是对RFT的相关功能不熟悉。

本周排行

别人正在浏览

强悍的草根IT技术社区,这里应该有您想要的!
Copyright © 2010 Gimoo.Net. All Rights Rreserved  京ICP备05050695号